Package: crash
Version: 6.1.6-1
Severity: normal
Tags: patch
User: ubuntu-de...@lists.ubuntu.com
Usertags: origin-ubuntu saucy ubuntu-patch

Dear Maintainer,

Please accept this patch to add a basic autopkgtest for crash.
This test simply downloads the proper vmlinux image and runs
crash on a live kernel. It works on both Ubuntu and Debian.

Thanks for considering the patch.

-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500,
'precise-proposed'), (500, 'precise'), (100, 'precise-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 3.5.0-39-generic (SMP w/8 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

diff -u crash-6.1.6/debian/control crash-6.1.6/debian/control
--- crash-6.1.6/debian/control
+++ crash-6.1.6/debian/control
@@ -6,6 +6,7 @@
 Uploaders:
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1), quilt (>= 0.47), binutils, binutils-dev, zlib1g-dev, libncurses5-dev
 Standards-Version: 3.9.3.1
+XS-Testsuite: autopkgtest
 
 Package: crash
 Architecture: i386 ia64 alpha powerpc amd64 armhf
diff -u crash-6.1.6/debian/changelog crash-6.1.6/debian/changelog
only in patch2:
unchanged:
--- crash-6.1.6.orig/debian/tests/control
+++ crash-6.1.6/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: live
+Restrictions: needs-root
+Depends: @, lsb-release
only in patch2:
unchanged:
--- crash-6.1.6.orig/debian/tests/live
+++ crash-6.1.6/debian/tests/live
@@ -0,0 +1,20 @@
+#/bin/sh -x
+set -e
+
+echo "Adding linux-image debug symbols."
+if [ "$(lsb_release -is)" = "Debian" ]; then
+    sudo apt-get install linux-image-$(uname -r)-dbg
+elif [ "$(lsb_release -is)" = "Ubuntu" ]; then
+    sudo tee /etc/apt/sources.list.d/ddebs.list << EOF
+    deb http://ddebs.ubuntu.com/ $(lsb_release -cs)          main restricted universe multiverse
+    deb http://ddebs.ubuntu.com/ $(lsb_release -cs)-security main restricted universe multiverse
+    deb http://ddebs.ubuntu.com/ $(lsb_release -cs)-updates  main restricted universe multiverse
+    deb http://ddebs.ubuntu.com/ $(lsb_release -cs)-proposed main restricted universe multiverse
+    EOF
+    sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys ECDCAD72428D7C01
+    sudo apt-get update
+    sudo apt-get install linux-image-$(uname -r)-dbgsym
+fi
+
+echo "Testing crash on live kernel"
+sudo crash -st /usr/lib/debug/boot/vmlinux-$(uname -r)

Reply via email to